## org.apache.http.client.fluent
Class Content

    java.lang.Object
      org.apache.http.client.fluent.Content

    public class Content

extends Object

Field Summary
`static Content` `NO_CONTENT`

Method Summary
`byte[]` `asBytes()`
`InputStream` `asStream()`
`String` `asString()`
`ContentType` `getType()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CONTENT

    public static final Content NO_CONTENT

Method Detail

### getType

    public ContentType getType()

### asBytes

    public byte[] asBytes()

### asString

    public String asString()

### asStream

    public InputStream asStream()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.